{
	"artifacts" : 
	[
		{
			"path" : "skylink_station"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"install",
			"target_link_libraries",
			"target_compile_options",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 77,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 112,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 88,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 105,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 40,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g"
				},
				{
					"backtrace" : 4,
					"fragment" : "-Wall"
				},
				{
					"backtrace" : 4,
					"fragment" : "-Wextra"
				},
				{
					"backtrace" : 4,
					"fragment" : "-Wpedantic"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fPIC"
				},
				{
					"fragment" : "-std=gnu++17"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 3,
					"define" : "QT_CONCURRENT_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_NETWORK_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_WIDGETS_LIB"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "/home/flower/code/camera/flyLink/skylink_qt_station/build/Desktop_Qt_6_5_3_GCC_64bit-Debug/skylink_station_autogen/include"
				},
				{
					"backtrace" : 5,
					"path" : "/home/flower/code/camera/flyLink/skylink_qt_station/src"
				},
				{
					"backtrace" : 5,
					"path" : "/home/flower/code/camera/flyLink/skylink_qt_station/protocol"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/flower/app/Qt/6.5.3/gcc_64/include/QtCore"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/flower/app/Qt/6.5.3/gcc_64/include"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/flower/app/Qt/6.5.3/gcc_64/mkspecs/linux-g++"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/flower/app/Qt/6.5.3/gcc_64/include/QtGui"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/flower/app/Qt/6.5.3/gcc_64/include/QtWidgets"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/flower/app/Qt/6.5.3/gcc_64/include/QtNetwork"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/flower/app/Qt/6.5.3/gcc_64/include/QtConcurrent"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/usr/include/opencv4"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					3,
					3,
					3
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				15
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "skylink_station_autogen_timestamp_deps::@6890427a1f51a3e7e1df"
		},
		{
			"backtrace" : 0,
			"id" : "skylink_station_autogen::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "skylink_station::@6890427a1f51a3e7e1df",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 2,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "/usr/local"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"fragment" : "-Wl,-rpath,/home/flower/app/Qt/6.5.3/gcc_64/lib:",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/home/flower/app/Qt/6.5.3/gcc_64/lib/libQt6Widgets.so.6.5.3",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/home/flower/app/Qt/6.5.3/gcc_64/lib/libQt6Network.so.6.5.3",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/home/flower/app/Qt/6.5.3/gcc_64/lib/libQt6Concurrent.so.6.5.3",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libopencv_imgproc.so.4.5.4d",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/home/flower/app/Qt/6.5.3/gcc_64/lib/libQt6Gui.so.6.5.3",
				"role" : "libraries"
			},
			{
				"fragment" : "/usr/lib/x86_64-linux-gnu/libGLX.so",
				"role" : "libraries"
			},
			{
				"fragment" : "/usr/lib/x86_64-linux-gnu/libOpenGL.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/home/flower/app/Qt/6.5.3/gcc_64/lib/libQt6Core.so.6.5.3",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libopencv_core.so.4.5.4d",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "skylink_station",
	"nameOnDisk" : "skylink_station",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				15
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				6,
				7,
				8,
				9,
				10,
				13
			]
		},
		{
			"name" : "Forms",
			"sourceIndexes" : 
			[
				11
			]
		},
		{
			"name" : "Resources",
			"sourceIndexes" : 
			[
				12
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				14
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				16,
				17
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_5_3_GCC_64bit-Debug/skylink_station_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MainWindow.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GroundReceiver.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/DataLogger.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/DeviceInfoReceiver.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/MainWindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GroundReceiver.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/DataLogger.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/DeviceInfoReceiver.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/DeviceInfo.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "forms/MainWindow.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 1,
			"path" : "resources.qrc",
			"sourceGroupIndex" : 3
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_5_3_GCC_64bit-Debug/skylink_station_autogen/include/forms/ui_MainWindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_5_3_GCC_64bit-Debug/skylink_station_autogen/timestamp",
			"sourceGroupIndex" : 4
		},
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_5_3_GCC_64bit-Debug/skylink_station_autogen/EWIEGA46WW/qrc_resources.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_5_3_GCC_64bit-Debug/skylink_station_autogen/timestamp.rule",
			"sourceGroupIndex" : 5
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_5_3_GCC_64bit-Debug/skylink_station_autogen/EWIEGA46WW/qrc_resources.cpp.rule",
			"sourceGroupIndex" : 5
		}
	],
	"type" : "EXECUTABLE"
}
